package com.cyksj.service.corp;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cyksj.model.entity.CorpCustomerAcquisitionLink;

/**
 * @author chan
 * @date 2023-11-28 15:10
 */
public interface CorpCustomerAcquisitionLinkService extends IService<CorpCustomerAcquisitionLink> {

    /**
     * 新增获客链接
     */
    void add(CorpCustomerAcquisitionLink corpCustomerAcquisitionLink) throws Exception;

    void up(CorpCustomerAcquisitionLink corpCustomerAcquisitionLink) throws Exception;

    void del(Long id) throws Exception;

    void handleCorpLinkSchedulerJob() throws Exception;

    /**
     * 同步值班客服
     */
    void syncDutyLinkUrl() throws Exception;
}
